Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
APRInitializer Class Reference

## Public Member Functions
| ~APRInitializer ()

## Static Public Member Functions
static log4cxx_time_t | initialize ()
static apr_pool_t * | getRootPool ()
static apr_threadkey_t * | getTlsKey ()

## Static Public Attributes
static bool | isDestructed

## Constructor & Destructor Documentation

~APRInitializer | ( |  | ) |

## Member Function Documentation

static apr_pool_t* getRootPool | ( |  | ) |
| static

static apr_threadkey_t* getTlsKey | ( |  | ) |
| static

static log4cxx_time_t initialize | ( |  | ) |
| static

## Member Data Documentation

bool isDestructed
| static

The documentation for this class was generated from the following file:

- aprinitializer.h